Subject: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Mon, 17 Apr 2023 01:26:28 +0300

On 16/04/2023 21:50, Eli Zaretskii wrote:
>> Date: Sun, 16 Apr 2023 20:46:39 +0300
>> From: "Dmitry Gutov" <[email-masked]>
>>
>>   When you say "gets updated noticeably faster", what exactly do you
>>   mean? by how much time does the redraw of the windows lag after the
>>   title bar update?
>>
>> Can be on the order of seconds or indefinitely, just like described before.
> 
> That's strange.  Po Lu, what could prevent the results of rdisplay
> from appearing on the glass in this case?  AFAIR, we simply call
> XFlush when the update of the frame is done; we don't wait for any X
> event to trigger redrawing on the glass.
> 
> Dmitry, does this happen with Emacs 28?

Actually, this one might be a master-only problem. At least, I'm 
currently unable to reproduce this with emacs-29, and (probably) saw 
this only once on emacs-28, out of >50 tries. All with Lucid and xdbe=off.

But it's pretty easy to repro on master. I'll try to bisect and report back.

BTW, I forgot one step which is possibly necessary for reproduction 
(step 1.5): maximize the frame.